Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptorA.h File Reference

This graph shows which files directly or indirectly include this file:

## Functions
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::Interceptor_ptr)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::Interceptor_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::Interceptor_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, const PortableInterceptor::ForwardRequest &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ForwardRequest *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ForwardRequest *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableInterceptor::ForwardRequest *&)
TAO_Export void | operator<<= (CORBA::Any &, const PortableInterceptor::InvalidSlot &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::InvalidSlot *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::InvalidSlot *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableInterceptor::InvalidSlot *&)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::Current_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::Current_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::RequestInfo_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::RequestInfo_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ClientRequestInfo_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ClientRequestInfo_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ServerRequestInfo_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ServerRequestInfo_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ClientRequestInterceptor_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ClientRequestInterceptor_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ServerRequestInterceptor_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ServerRequestInterceptor_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::PolicyFactory_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::PolicyFactory_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::IORInterceptor_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::IORInterceptor *&)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ORBInitInfo_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ORBInitInfo_ptr &)
TAO_Export void | operator<<= (CORBA::Any &, const PortableInterceptor::ORBInitInfo::DuplicateName &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ORBInitInfo::DuplicateName *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ORBInitInfo::DuplicateName *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableInterceptor::ORBInitInfo::DuplicateName *&)
TAO_Export void | operator<<= (CORBA::Any &, const PortableInterceptor::ORBInitInfo::InvalidName &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ORBInitInfo::InvalidName *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ORBInitInfo::InvalidName *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableInterceptor::ORBInitInfo::InvalidName *&)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::ORBInitializer_ptr *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::ORBInitializer_ptr &)

## Function Documentation

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::ORBInitializer_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::ORBInitInfo::InvalidName * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableInterceptor::ORBInitInfo::InvalidName & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::ORBInitInfo::DuplicateName * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableInterceptor::ORBInitInfo::DuplicateName & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::ORBInitInfo_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::IORInterceptor_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::PolicyFactory_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::ServerRequestInterceptor_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::ClientRequestInterceptor_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::ServerRequestInfo_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::ClientRequestInfo_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::RequestInfo_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::Current_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::InvalidSlot * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableInterceptor::InvalidSlot & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::ForwardRequest * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableInterceptor::ForwardRequest & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::Interceptor_ptr * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::Interceptor_ptr |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::ORBInitializer_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableInterceptor::ORBInitInfo::InvalidName *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::ORBInitInfo::InvalidName *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableInterceptor::ORBInitInfo::DuplicateName *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::ORBInitInfo::DuplicateName *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::ORBInitInfo_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::IORInterceptor *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::PolicyFactory_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::ServerRequestInterceptor_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::ClientRequestInterceptor_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::ServerRequestInfo_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::ClientRequestInfo_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::RequestInfo_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::Current_ptr & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableInterceptor::InvalidSlot *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::InvalidSlot *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableInterceptor::ForwardRequest *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::ForwardRequest *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::Interceptor_ptr & |
| ) |